Bug 1673765 - Messages log spammed with ovs|00001|db_ctl_base|ERR|no key "odl_os_hostconfig_hostid"
Summary: Messages log spammed with ovs|00001|db_ctl_base|ERR|no key "odl_os_hostconfig...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 4.2.8
Hardware: x86_64
OS: Linux
high
urgent
Target Milestone: ovirt-4.2.8-3
: ---
Assignee: Dan Kenigsberg
QA Contact: Michael Burman
URL:
Whiteboard:
Depends On: 1670370
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-08 00:16 UTC by Chetan Nagarkar
Modified: 2019-03-05 11:09 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
VDSM attempted to collect OpenStack related information, even on hosts that are not connected to OpenStack, and displayed a repeated error message in the system log. In this release, errors originating from OpenStack related information are not recorded in the system log. As a result, the system log is quieter.
Clone Of: 1670370
Environment:
Last Closed: 2019-03-05 11:09:31 UTC
oVirt Team: Network


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0458 None None None 2019-03-05 11:09:36 UTC
oVirt gerrit 97448 None None None 2019-02-18 13:44:57 UTC

Description Chetan Nagarkar 2019-02-08 00:16:17 UTC
+++ This bug was initially created as a clone of Bug #1670370 +++

Description of problem:
Messages log spammed with ovs|00001|db_ctl_base|ERR|no key "odl_os_hostconfig_hostid"

refresh caps and setup networks causing a spamming in the messages log.

ovs-vsctl: ovs|00001|db_ctl_base|ERR|no key "odl_os_hostconfig_hostid" in Open_vSwitch record "." column external_ids

Version-Release number of selected component (if applicable):
vdsm-4.30.6-1.el7ev.x86_64
vdsm-4.20.46-1.el7ev.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Refresh caps on host or setup networks

Actual results:
messages log is spammed with "odl_os_hostconfig_hostid"

Expected results:
no log spamming

--- Additional comment from Michael Burman on 2019-01-29 12:25 UTC ---



--- Additional comment from Dominik Holler on 2019-01-29 13:56:23 UTC ---

Comment 2 Dominik Holler 2019-02-12 07:09:22 UTC
Align to bug 1670370

Comment 6 Michael Burman 2019-02-24 08:52:16 UTC
Verified on - vdsm-4.20.47-1.el7ev.x86_64

Comment 7 Eli Marcus 2019-02-25 17:20:27 UTC
PLease review and approve or comment: 

"The VDSM attempted to collect OpenStack related information, even on hosts that are not connected to OpenStack, and displayed a repeated error message in the system log.
In this release, errors originating from OpenStack related information are not recorded in the system log. As a result, the system log is quieter."

Comment 8 Dan Kenigsberg 2019-02-25 19:49:45 UTC
Me no English speaker, but Vdsm is a proper name, so I find it odd to precede it with "The". Other than that, I'm good.

Comment 10 errata-xmlrpc 2019-03-05 11:09:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0458


Note You need to log in before you can comment on or make changes to this bug.